package com;

/**
 * AbstractXz entity provides the base persistence definition of the Xz entity. @author
 * MyEclipse Persistence Tools
 */

public abstract class AbstractXz implements java.io.Serializable {

	// Fields

//	private Integer id;
	private String title;
	private String desc;
	private Integer sep;
	private Integer orp;
	private String postage;
	private String wx;
	private String tel;
	private String qq;

	// Constructors

	/** default constructor */
	public AbstractXz() {
	}

	/** minimal constructor */
	public AbstractXz(String title, Integer sep) {
//		this.id=id;

		this.title = title;
		this.sep = sep;
	}

	/** full constructor */
	public AbstractXz(String title, String desc, Integer sep, Integer orp,
			String postage, String wx, String tel, String qq) {
		this.title = title;
		this.desc = desc;
		this.sep = sep;
		this.orp = orp;
		this.postage = postage;
		this.wx = wx;
		this.tel = tel;
		this.qq = qq;
	}

	// Property accessors

/*	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}*/

	public String getTitle() {
		return this.title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getDesc() {
		return this.desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}

	public Integer getSep() {
		return this.sep;
	}

	public void setSep(Integer sep) {
		this.sep = sep;
	}

	public Integer getOrp() {
		return this.orp;
	}

	public void setOrp(Integer orp) {
		this.orp = orp;
	}

	public String getPostage() {
		return this.postage;
	}

	public void setPostage(String postage) {
		this.postage = postage;
	}

	public String getWx() {
		return this.wx;
	}

	public void setWx(String wx) {
		this.wx = wx;
	}

	public String getTel() {
		return this.tel;
	}

	public void setTel(String tel) {
		this.tel = tel;
	}

	public String getQq() {
		return this.qq;
	}

	public void setQq(String qq) {
		this.qq = qq;
	}

}